#!/bin/sh
##------------------------------------------------------------------------------
##  /files/usr/local/bin/limes.sh - Programmodul
##
##  Creation:	    20.09.2010 hh
##  Last Update:  $Vers. 1.1 2011-05-26 hh $
##------------------------------------------------------------------------------

. /var/run/limes.conf									#laden der Variablen aus /var/run/limes.conf
														# initalisieren der Laufvariable "gesendetN" und setzen auf "0"
idx=1
while [ $idx -le $Limes_Anz ]							# Schleife Limes_Anz
do
	eval echo 'gesendet$idx=0' >>/var/run/limes.conf	# noch nichts gesendet setze Status auf "0"
	idx=`expr $idx + 1`		
done
# Beginn des eigendlichen Programms
. /var/run/limes.conf									#laden der nun aktualisierten Variablen aus /var/run/limes.conf

while [ true ]											# starte Endlosschleife
do
	case $Limes_ping in									# Start Ping-Routine
	yes)												# prfen auf ping= yes
	idz=1							
	eval z='$Limes_fping_anz'							# Anzahl der FPINGs
		while [ $idz -le $z ]
		do
			eval ziel='$Limes_fping_'$idz'_IP'				# Ziel fr fping
			eval "fping $ziel"								# Ziel anpingen
			eval status='$?'   								# Status 0 - ok Status 1 - not ok
			echo -n "$status" > /var/run/fpingstatus$idz	# schreibe Status in limes.conf
			idz=`expr $idz + 1`
		done												# Ende Ping-Routine
	esac
	idx=1
	while [ $idx -le $Limes_Anz ]						# Schleife Limes_Anz
	do
		eval gesendet='$gesendet'$idx
		eval z='$Limes_'$idx'_Files'
		eval read input <$z								# Lade aktuellen Wert in $input
		z=`expr length $input`							# z ist Lnge von Input
		if [ $z -gt 1 ]									# prfe nur, wenn Input lnger als ein Zeichen
		then
			z=`expr index $input ".,"`					# an welcher Stelle steht das Komma?
			if [ $z -gt 0 ]								# gibt es ein Komma ?
			then
				z=`expr $z - 1`							# Komma nicht mit ausgeben
				input=`expr substr $input 1 $z`			# input ist input bis Komma
			fi
		fi
		idy=1
		eval anz='$Limes_'$idx'_Anz'
		while [ $idy -le $anz ]							# Schleife Limes_Anz_Anz (Grenzwerte pro Limes)
		do
			eval para='$Limes_'$idx'_'$idy'_para'
			if [ $input $para ];						# eigendliche Auswertung der Werte
			then										# wenn Bedingung erfllt...
				if [ $gesendet -le 0 ];					# wurde schon gesendet ?
				then									# nein...
					idz=1
					eval z='$Limes_'$idx'_L_'$idy'_C_Anz'	# Anzahl der usercmd-Befehle
					while [ $idz -le $z ]
					do
						eval cmd='$Limes_'$idx'_'$idy'_'$idz'_usercmd'
						$cmd								# ausfhren usercmd's
					idz=`expr $idz + 1`
					done
					case $Limes_smtp in						# prfen auf smtp= yes
					yes)									# wenn 'yes' dann ...
						idz=1
						eval z='$Limes_'$idx'_L_'$idy'_M_Anz'	# Anzahl der Mails
						while [ $idz -le $z ]
						do
							eval empf='$Limes_'$idx'_'$idy'_'$idz'_address'
							eval betr='$Limes_'$idx'_'$idy'_'$idz'_betreff'
							eval text='$Limes_'$idx'_'$idy'_'$idz'_text'
							cmd=' -f '\"$Limes_sender\"' -t '\"$empf\"' -s '\"$betr\"' -b '\"$text\" 	#Mailparameter zusammensetzen
							eval "ssmtp.sh$cmd"				# Mail absenden
							sleep 5							# Pause 5sec fr korrekte Absendung
							eval echo 'Modul Limes: Mail abgesendet an '$empf' mit Betreff: '$betr >/dev/console
						idz=`expr $idz + 1`
						done
					;;
					esac
				gesendet=1									# Setze Status auf "gesendet"
				fi
			else
				if [ $gesendet -ge 1 ];						# Limes wieder im Limit: wurde gesendet ?
				then
					gesendet=0
				fi
			fi
			eval "gesendet$idx"=$gesendet		# Setze Status gesendetN auf aktuellen Wert
		idy=`expr $idy + 1`	
		done
	idx=`expr $idx + 1`	
	done
sleep $Limes_Intervall
done